githubEdit

Orders endpoints

List orders

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
tenantOrderIdstringOptional

filter orders by tenantOrderId

consumerIdstringOptional

filter orders by consumerId

Responses
chevron-right
200

Orders are found.

application/json

StrippedOrders

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/orders

Create order

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

OrderForCreation

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional
or
statusstring · enumOptional

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
Responses
post
/api/orders

Update order

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderIdstringRequired

ID of Order you want to patch

Body

OrderForUpdate

commentstringOptional

A comment for updating this order.

customAttributesobject · nullableOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

preferredHandlingTimestring · date-timeOptional

Updates the preferred handling time for ship-from-store orders or the provisioning time for click-and-collect orders.

Example: 2025-01-15T00:00:00.000Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Order was found & patch-set has been applied. The patched entity is in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional
or
statusstring · enumRequired

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
idstringRequired

The id of this order. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

schemaVersionnumberOptional
patch
/api/orders/{orderId}

Get order

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderIdstringRequired

ID of order you want to get

Responses
chevron-right
200

Order was found & you were allowed to access it. The result is in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional
or
statusstring · enumRequired

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
idstringRequired

The id of this order. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

schemaVersionnumberOptional
get
/api/orders/{orderId}

List orders (search)

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for Order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

OrderSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

OrderPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/orders/search

Call order action

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderIdstringRequired

Reference to the order you want to call the action for

Body

OrderActionsParameter

or
or
or
or
or
or
Responses
chevron-right
200

Updated Order in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional
or
statusstring · enumRequired

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
idstringRequired

The id of this order. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

schemaVersionnumberOptional
post
/api/orders/{orderId}/actions

Call order line item action

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderIdstringRequired

Reference to the order you want to call the action for

orderLineItemIdstringRequired

Reference to the order line item you want to call the action for

Body

OrderLineItemActionsParameter

Responses
chevron-right
200

Updated Order in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional
or
statusstring · enumRequired

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
idstringRequired

The id of this order. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

schemaVersionnumberOptional
post
/api/orders/{orderId}/orderlineitems/{orderLineItemId}/actions

Last updated